package com.example.prm02

import android.provider.BaseColumns

object DbContract{
    const val SQL_CREATE_ENTRIES =
        "CREATE TABLE ${DebtorEntry.TABLE_NAME} ( " +
                "${DebtorEntry.COLUMN_ID} INTEGER PRIMARY KEY AUTOINCREMENT, " +
                "${DebtorEntry.COLUMN_NAME} TEXT NOT NULL, " +
                "${DebtorEntry.COLUMN_DEBT} REAL NOT NULL )"

    const val SQL_DROP_TABLE = "DROP TABLE IF EXISTS ${DebtorEntry.TABLE_NAME}"

    object DebtorEntry : BaseColumns {
        const val TABLE_NAME = "debtor"
        const val COLUMN_ID = "id"
        const val COLUMN_NAME = "name"
        const val COLUMN_DEBT = "debt"
    }
}